Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.mapping.model
Class SpELAwareParameterValueProvider

    java.lang.Object
      org.springframework.data.mapping.model.SpELAwareParameterValueProvider

All Implemented Interfaces:
  ParameterValueProvider

    public class SpELAwareParameterValueProvider

extends Object
implements ParameterValueProvider

`ParameterValueProvider` implementation that evaluates the `PreferredConstructor.Parameter`s key against `SpelExpressionParser` and `EvaluationContext`.

Author:
  Oliver Gierke

Constructor Summary
`SpELAwareParameterValueProvider(SpelExpressionParser parser, EvaluationContext context)` Creates a new `SpELAwareParameterValueProvider` from the given `SpelExpressionParser` and `EvaluationContext`.

Method Summary
`
`<T> T`
` | `getParameterValue(PreferredConstructor.Parameter<T> parameter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpELAwareParameterValueProvider

    public SpELAwareParameterValueProvider(SpelExpressionParser parser,
                                           EvaluationContext context)

  Creates a new `SpELAwareParameterValueProvider` from the given `SpelExpressionParser` and `EvaluationContext`.

  Parameters:
    `parser` - must not be null
    `context` - must not be null

Method Detail

### getParameterValue

    public <T> T getParameterValue(PreferredConstructor.Parameter<T> parameter)

  Specified by:
    `getParameterValue` in interface `ParameterValueProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.